# -*- py-indent-offset: 4 -*-
# -*- tab-width: 8 -*-
# -*- indent-tabs-mode: nil -*-

from etgui import *
import CmdNo,string
from PageLayout import *


def MakeDialog():
	action=PotGuiOneOf("Action",eVObjHExpand,gPoint0,Point(1,0))
	action.AddItem("the wizard","wizard")
	action.AddItem("a template","template")
	action.AddItem("default","default")
	environ=PotGuiOneOf("Environment",eVObjHExpand,gPoint0,Point(1,0))
	environ.AddItem("in a Team Environment","team")
	environ.AddItem("without a Team Environment","noteam")
	environ.AddItem("from the tutorial","default")

	panel=MakeSectionLayout(
		BorderItem (
			"Create a new SNiFF+ project using",
			action
		),
		BorderItem (
			"Open a project",
			environ
		),

	)
	dialog=PotGuiDialog(
		PotGuiModel(),
		MakeDialogWithButtons(
			panel,
			ActionButton(CmdNo.cIdOk,"OK",default=1),
			ActionButton(CmdNo.cIdCancel,"Cancel"),
		),
		"SNiFF Quick Start",
		eWinDefault
	)
	return dialog
gDialog=None
def Show():
	global gDialog
	if not gDialog:
		gDialog=MakeDialog()
	gDialog.ShowUnderMouse()
